Bug 70162 - Installer failed to find SCSI CDROM with aic7xxx causing endless loop
Installer failed to find SCSI CDROM with aic7xxx causing endless loop
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
high Severity high
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-30 16:36 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-07-30 16:36:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Creative; Q312461)

Description of problem:
The installer finds my Adaptec AHA-2930U2 and attached HD and then proceeds to 
try and find an attached CDROM.  It fails to find my Yamaha CDROM (SCSI).  No 
errors are reported when loading the aic7xxx driver with the noprob option and 
using the verbose option.  The reports just list the HD.  The CDROM and HD are 
are different channels.

The hardware works fine when booting under RedHat 6.x and both the HD and CDROM 
are recognized.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start installer.
2. Follow steps to tell installer to load from local CDROM
3.
	

Actual Results:  Install loops to list of potential SCSI drivers except that 
the aic7xxx driver is missing from the list.

Expected Results:  The installer should have found the RedHat 7.3 CDROM #1.

Additional info:
Comment 1 Jeremy Katz 2002-08-02 16:06:34 EDT
What type of motherboard is this with?
Comment 2 Need Real Name 2002-08-13 10:31:28 EDT
The motherboard is a Supermicro DBE dual processor.
Comment 3 Michael Fulbright 2002-08-13 12:04:38 EDT
Doug any ideas why we would see the HD and not the CDROM?
Comment 4 Need Real Name 2002-09-06 03:42:24 EDT
This looks similar to a problem I have found and not solved on my system:-

The system is an Olivetti KPC TWXX, 100MHz dual Pentium 1 machine with 48M 
ram and an Adaptec AHA-2940 SCSI card. The RH7.3 is on CD, the CD reader 
being on the SCSI.

It boots from the CD, and launches the installer program. However, it them 
appears to fail to load (reload?) the scsi driver, and on screen 3 the 
following appears (without my typing and copying mistakes!):

* found aic7*** device
* modules to insert 3c59c aic7xxx
* inserted /tmp/3c59x.0
/tmp/aic7xxx.0 init_module:
Hint insmod errors can be caused by incorrect module parameters, including 
invalid IO or IRQ parameters
* probing for floppy drives
* failed to insert /tmp/aic7xxx.0

So, it then can not find anything on the scsi bus!
I have tried
 1) removing the 3c59x network card
 2) using a floppy to boot the install
 3) using an ide CD drive to install
and they all hit the same problem.

I have used the same RH7.3 CD's to install a text only linux system on 
another low powered box, using a scsi bus with an Adaptec aic7xxx card, 
and that worked.

On the running RH7.1 on the same box, lspci -vvx gives the following 
information, which may help:

00:00.0 Host bridge: Intel Corporation 82434LX [Mercury/Neptune] (rev 11)
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ 
Stepping- SERR+ FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- 
<MAbort+ >SERR- <PERR-
	Latency: 32
00: 86 80 a3 04 46 01 00 24 11 00 00 06 00 20 00 00
10: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
30: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

00:05.0 Non-VGA unclassified device: Intel Corporation 82375EB (rev 03)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 248
00: 86 80 82 04 07 00 00 02 03 00 00 00 00 f8 00 00
10: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
30: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

00:0d.0 Ethernet controller: 3Com Corporation 3c905B 100BaseTX [Cyclone] (rev 
30)
	Subsystem: 3Com Corporation 3C905B Fast Etherlink XL 10/100
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (2500ns min, 2500ns max), cache line size 08
	Interrupt: pin A routed to IRQ 11
	Region 0: I/O ports at fc00 [size=128]
	Region 1: Memory at fffbfc00 (32-bit, non-prefetchable) [size=128]
	Expansion ROM at fe000000 [disabled] [size=128K]
	Capabilities: [dc] Power Management version 1
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-
,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
00: b7 10 55 90 17 01 10 02 30 00 00 02 08 20 00 00
10: 01 fc 00 00 00 fc fb ff 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 b7 10 55 90
30: 00 00 00 fe dc 00 00 00 00 00 00 00 0b 01 0a 0a

00:0e.0 SCSI storage controller: Adaptec AHA-294x / AIC-7871
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (2000ns min, 2000ns max), cache line size 08
	Interrupt: pin A routed to IRQ 15
	Region 0: I/O ports at f400 [size=256]
	Region 1: Memory at fffbe000 (32-bit, non-prefetchable) [size=4K]
	Expansion ROM at fe000000 [disabled] [size=64K]
00: 04 90 78 71 07 00 80 02 00 00 00 01 08 20 00 00
10: 01 f4 00 00 00 e0 fb ff 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
30: 00 00 00 fe 00 00 00 00 00 00 00 00 0f 01 08 08

00:0f.0 VGA compatible unclassified device: S3 Inc. 86c964 [Vision 964 VRAM] 
vers 0
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR-
	Region 0: Memory at 21000000 (32-bit, non-prefetchable) [size=8M]
	Expansion ROM at 20000000 [disabled] [size=64K]
00: 33 53 d0 88 03 00 00 02 00 00 01 00 00 00 00 00
10: 00 00 00 21 00 00 00 00 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
30: 00 00 00 20 00 00 00 00 00 00 00 00 00 00 00 00

Regards
David Lee, UK

Comment 5 Bugzilla owner 2004-09-30 11:39:48 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.